# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    bin_name = glob.glob("AxCrypt-*.exe")[0]
    install_exe_if_needed(bin_name, silentflags="/install /quiet /norestart", key="", min_version=control.get_software_version())


def uninstall():
    for to_uninstall in installed_softwares("AxCrypt"):
        print("Removing: %s (%s)" % (to_uninstall["name"], to_uninstall["version"]))
        killalltasks(control.impacted_process.split(","))
        run(uninstall_cmd(to_uninstall["key"]))
        wait_uninstallkey_absent(to_uninstall["key"])
